## git-annex 5.20150731

=== debian/changelog ===
git-annex (5.20150731-1build1) wily; urgency=medium

  * No-change rebuild against libicu55

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 07 Aug 2015 01:29:36 +0000

git-annex (5.20150731-1) unstable; urgency=medium

  * Package 5.20150731

 -- Richard Hartmann <richih@debian.org>  Tue, 04 Aug 2015 23:41:14 +0200

git-annex (5.20150731) unstable; urgency=medium

  * webapp: Support enabling known gitlab.com remotes.
  * Fix rsync special remote to work when -Jn is used for concurrent
    uploads.
  * The last release accidentially removed a number of options from the
    copy command. (-J, file matching options, etc). These have been added
    back.
  * init: Detect when the filesystem is crippled such that it ignores
    attempts to remove the write bit from a file, and enable direct mode.
    Seen with eg, NTFS fuse on linux.
  * Fix man page installation by cabal install; all the new man pages are
    now installed.

 -- Joey Hess <id@joeyh.name>  Fri, 31 Jul 2015 11:34:36 -0400
