=== debian/control ===
--- 
+++ 
@@ -4,12 +4,13 @@
 Build-Depends: 
 	debhelper (>= 9),
 	ghc (>= 7.4),
+	cabal-install,
 	libghc-mtl-dev (>= 2.1.1),
 	libghc-missingh-dev,
 	libghc-data-default-dev,
 	libghc-hslogger-dev,
 	libghc-pcre-light-dev,
-	libghc-cryptohash-dev (>= 0.11.0),
+	libghc-cryptonite-dev | libghc-cryptohash-dev (>= 0.11.0),
 	libghc-sandi-dev,
 	libghc-utf8-string-dev,
 	libghc-aws-dev (>= 0.9.2-2~),
@@ -80,8 +81,7 @@
 	curl,
 	openssh-client,
 	git-remote-gcrypt (>= 0.20130908-6),
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Richard Hartmann <richih@debian.org>
+Maintainer: Richard Hartmann <richih@debian.org>
 Standards-Version: 3.9.6
 Vcs-Git: git://git.kitenet.net/git-annex
 Homepage: http://git-annex.branchable.com/
