## git-annex 5.20150824

=== Makefile ===
--- 
+++ 
@@ -16,7 +16,7 @@
 
 Build/SysConfig.hs: configure.hs Build/TestConfig.hs Build/Configure.hs
 	if [ "$(CABAL)" = ./Setup ]; then ghc --make Setup; fi
-	$(CABAL) configure
+	$(CABAL) configure --ghc-options="$(shell Build/collect-ghc-options.sh)"
 
 git-annex: Build/SysConfig.hs
 	$(CABAL) build
@@ -81,7 +81,7 @@
 		--plugin=comments --set comments_pagespec="*" \
 		--exclude='news/.*' --exclude='design/assistant/blog/*' \
 		--exclude='bugs/*' --exclude='todo/*' --exclude='forum/*' \
-		--exclude='users/*' --exclude='devblog/*'
+		--exclude='users/*' --exclude='devblog/*' --exclude='thanks'
 
 clean:
 	rm -rf tmp dist git-annex $(mans) configure  *.tix .hpc \
