## git-annex 5.20151208

=== Makefile ===
--- 
+++ 
@@ -18,8 +18,9 @@
 	if [ "$(CABAL)" = ./Setup ]; then ghc --make Setup; fi
 	$(CABAL) configure --ghc-options="$(shell Build/collect-ghc-options.sh)"
 
+# -j1 is used for reproducible build
 git-annex: Build/SysConfig.hs
-	$(CABAL) build
+	$(CABAL) build -j1
 	ln -sf dist/build/git-annex/git-annex git-annex
 
 man/%.1: doc/%.mdwn
@@ -41,13 +42,17 @@
 		rsync -a --delete html/ $(DESTDIR)$(PREFIX)/$(SHAREDIR)/doc/git-annex/html/; \
 	fi
 
-install: build install-docs Build/InstallDesktopFile
+install-bins: build
 	install -d $(DESTDIR)$(PREFIX)/bin
 	install git-annex $(DESTDIR)$(PREFIX)/bin
 	ln -sf git-annex $(DESTDIR)$(PREFIX)/bin/git-annex-shell
+
+install-misc: Build/InstallDesktopFile
 	./Build/InstallDesktopFile $(PREFIX)/bin/git-annex || true
 	install -d $(DESTDIR)$(PREFIX)/share/bash-completion/completions
 	install -m 0644 bash-completion.bash $(DESTDIR)$(PREFIX)/share/bash-completion/completions/git-annex
+
+install: install-bins install-docs install-misc
 
 test: git-annex
 	./git-annex test
@@ -118,6 +123,7 @@
 	rm -rf "$(LINUXSTANDALONE_DEST)"
 	mkdir -p tmp
 	cp -R standalone/linux/skel "$(LINUXSTANDALONE_DEST)"
+	sed -i -e 's/^GIT_ANNEX_PACKAGE_INSTALL=/GIT_ANNEX_PACKAGE_INSTALL=$(GIT_ANNEX_PACKAGE_INSTALL)/' "$(LINUXSTANDALONE_DEST)/runshell"
 	
 	install -d "$(LINUXSTANDALONE_DEST)/bin"
 	cp dist/build/git-annex/git-annex "$(LINUXSTANDALONE_DEST)/bin/"
@@ -237,8 +243,7 @@
 	$(MAKE) -C standalone/android
 
 # We bypass cabal, and only run the main ghc --make command for a
-# fast development built. Note: Does not rebuild C libraries, or link
-# executable.
+# fast development built.
 fast: dist/caballog
 	@$$(grep 'ghc --make' dist/caballog | head -n 1 | sed -e 's/-package-id [^ ]*//g' -e 's/-hide-all-packages//') -O0 -j -dynamic
 	@ln -sf dist/build/git-annex/git-annex git-annex
