=== debian/changelog ===
git-annex (5.20151208-1build1) xenial; urgency=medium

  * No-change rebuild for gnutls transition.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 17 Feb 2016 22:25:06 +0000

git-annex (5.20151208-1) unstable; urgency=medium

  * Package 5.20151208-1

 -- Richard Hartmann <richih@debian.org>  Wed, 09 Dec 2015 13:07:41 +0100

git-annex (5.20151208) unstable; urgency=medium

  * Build with -j1 again to get reproducible build.
  * Display progress meter in -J mode when copying from a local git repo,
    to a local git repo, and from a remote git repo.
  * Display progress meter in -J mode when downloading from the web.
  * map: Improve display of git remotes with non-ssh urls, including http
    and gcrypt. 
  * When core.sharedRepository is set, annex object files are not made mode
    444, since that prevents a user other than the file owner from locking
    them. Instead, a mode such as 664 is used in this case.
  * tahoe: Include tahoe capabilities in whereis display.
  * import: Changed to honor annex.largefiles settings.
  * addurl, importfeed: Changed to honor annex.largefiles settings,
    when the content of the url is downloaded. (Not when using --fast or
    --relaxed.)
  * webapp: Fix bugs that could result in a relative path such as "."
    being written to ~/.config/git-annex/autostart, and ignore any such 
    relative paths in the file.
    This was a reversion caused by the relative path changes in 5.20150113.
  * dropunused: Make more robust when trying to drop an object that has
    already been dropped.
  * Fix reversion in handling of long filenames, particularly when using
    addurl/importfeed, which was introduced in the previous release.

 -- Joey Hess <id@joeyh.name>  Tue, 08 Dec 2015 11:14:03 -0400
