=== debian/control ===
--- 
+++ 
@@ -19,7 +19,6 @@
 	libghc-quickcheck2-dev,
 	libghc-monad-control-dev (>= 0.3),
 	libghc-exceptions-dev (>= 0.6),
-	libghc-transformers-dev,
 	libghc-unix-compat-dev,
 	libghc-dlist-dev,
 	libghc-uuid-dev,
@@ -70,8 +69,9 @@
 	libghc-tasty-hunit-dev,
 	libghc-tasty-quickcheck-dev,
 	libghc-tasty-rerun-dev,
-	libghc-optparse-applicative-dev (>= 0.10),
+	libghc-optparse-applicative-dev (>= 0.11.0),
 	libghc-cabal-dev,
+	libghc-torrent-dev,
 	lsof [linux-any],
 	ikiwiki,
 	perlmagick,
@@ -104,7 +104,6 @@
 	git-remote-gcrypt (>= 0.20130908-6),
 	nocache,
 	aria2,
-	bittornado | bittorrent,
 Suggests:
 	graphviz,
 	bup,
